> ## Documentation Index
> Fetch the complete documentation index at: https://endclose.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a reconciliation



## OpenAPI

````yaml /openapi.json get /reconciliations/{id}
openapi: 3.1.0
info:
  title: End Close API
  description: REST API is used to interact with the End Close platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.endclose.com/v1
security:
  - ApiKeyAuth: []
paths:
  /reconciliations/{id}:
    get:
      summary: Retrieve a reconciliation
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Reconciliation retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Reconciliation'
        '404':
          description: Reconciliation not found
components:
  schemas:
    Reconciliation:
      type: object
      required:
        - name
      properties:
        id:
          type: integer
        name:
          type: string
          description: Human readable name for the reconciliation
        run_type:
          type: string
          enum:
            - continuous
            - batch
          default: continuous
        side_a_streams:
          type: array
          items:
            $ref: '#/components/schemas/DataStream'
          description: Data streams on side A of the reconciliation
        side_b_streams:
          type: array
          items:
            $ref: '#/components/schemas/DataStream'
          description: Data streams on side B of the reconciliation
        created_at:
          type: string
          format: date-time
        current_run:
          $ref: '#/components/schemas/ReconciliationRun'
          nullable: true
          description: The currently pending or running batch run, if any
        last_run:
          $ref: '#/components/schemas/ReconciliationRun'
          nullable: true
          description: The most recent completed or failed batch run, if any
    DataStream:
      type: object
      required:
        - key
        - name
      properties:
        id:
          type: integer
          description: Unique numeric identifier
        key:
          type: string
          description: Unique immutable identifier
        name:
          type: string
          description: Human readable name
        description:
          type: string
          description: Optional description of the data stream
        type:
          type: string
          description: The type of data stream (e.g. api, csv, stripe, bank_feed)
    ReconciliationRun:
      type: object
      description: >-
        A single execution of a reconciliation's batch or continuous matching
        pipeline.
      properties:
        id:
          type: integer
        kind:
          type: string
          enum:
            - batch
            - continuous
        status:
          type: string
          enum:
            - pending
            - running
            - completed
            - failed
        trigger:
          type: string
          enum:
            - manual
            - rule_activated
            - agent
            - record_created
          description: What initiated this run
        total_records:
          type: integer
          description: Total records considered by the run
        processed_records:
          type: integer
          description: Records processed so far
        matched_records:
          type: integer
          description: Records that were matched during the run
        rule_summary:
          type: object
          nullable: true
          description: Per-rule match counts, populated as the run progresses
        progress:
          type: integer
          description: Processing progress as a percentage (0-100)
        started_at:
          type: string
          format: date-time
          nullable: true
        completed_at:
          type: string
          format: date-time
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````